## murano 3.0.0~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
Babel>=2.3.4 # BSD
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.16.0 # Apache-2.0
alembic>=0.8.4 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
retrying!=1.3.0,>=1.2.3 # Apache-2.0
WebOb>=1.2.3 # MIT
kombu>=3.0.25 # BSD
psutil<2.0.0,>=1.1.1 # BSD
six>=1.9.0 # MIT
netaddr!=0.7.16,>=0.7.12 # BSD
PyYAML>=3.1.0 # MIT
jsonpatch>=1.1 # BSD
keystoneauth1>=2.10.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
testtools>=1.4.0 # MIT
yaql>=1.1.0 # Apache 2.0 License
debtcollector>=1.2.0 # Apache-2.0

# For paste.util.template used in keystone.common.template
Paste # MIT

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
python-heatclient>=1.4.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-congressclient<2000,>=1.3.0 # Apache-2.0
python-mistralclient>=2.0.0 # Apache-2.0
oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
semantic-version>=2.3.1 # BSD

=== contrib/plugins/murano_exampleplugin/requirements.txt ===
python-glanceclient>=2.0.0  # Apache-2.0

=== debian/changelog ===
murano (1:3.0.0~rc1-2+5~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 08:38:21 +0000

murano (1:3.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Fixed oslo-config-generator namespaces.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:58:15 +0200

murano (1:3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2016 23:48:10 +0200

=== debian/control ===
Source: murano
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     git,
                     python-babel (>= 2.3.4),
                     python-congressclient (>= 1.3.0),
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-heatclient (>= 1.4.0),
                     python-jsonpatch,
                     python-jsonschema,
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystoneclient (>= 1:2.0.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-kombu (>= 3.0.25),
                     python-migrate (>= 0.9.6),
                     python-mistralclient (>= 2.0.0),
                     python-mock (>= 2.0),
                     python-muranoclient (>= 0.8.2),
                     python-mysqldb,
                     python-netaddr (>= 0.7.2),
                     python-neutronclient (>= 1:5.1.0),
                     python-nose,
                     python-os-testr (>= 0.7.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-paste,
                     python-pastedeploy,
                     python-pep8,
                     python-psutil,
                     python-psycopg2,
                     python-pymysql (>= 0.6.2),
                     python-requests (>= 2.10.0),
                     python-retrying,
                     python-routes,
                     python-semantic-version,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib.httpdomain,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-webob,
                     python-yaml,
                     python-yaql (>= 1.1.0),
                     subunit,
                     tempest (>= 1:12.0.0),
                     testrepository,
                     zip,
Standards-Version: 3.9.8
Homepage: https://github.com/openstack/murano
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-murano?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-murano -b debian/newton

Package: python-murano
Architecture: all
Section: python
Depends: alembic (>= 0.8.4),
         python-babel (>= 2.3.4),
         python-congressclient (>= 1.3.0),
         python-debtcollector (>= 1.2.0),
         python-eventlet (>= 0.18.4),
         python-heatclient (>= 1.4.0),
         python-jsonpatch,
         python-jsonschema,
         python-keystoneauth1 (>= 2.10.0),
         python-keystoneclient (>= 1:2.0.0),
         python-keystonemiddleware (>= 4.0.0),
         python-kombu (>= 3.0.25),
         python-mistralclient (>= 2.0.0),
         python-muranoclient (>= 0.8.2),
         python-mysqldb,
         python-netaddr (>= 0.7.2),
         python-neutronclient (>= 1:5.1.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-psutil,
         python-psycopg2,
         python-pymysql (>= 0.6.2),
         python-requests (>= 2.8.1),
         python-retrying,
         python-routes,
         python-semantic-version,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-testtools (>= 1.4.0),
         python-webob,
         python-yaml,
         python-yaql (>= 1.1.0),
         ${misc:Depends},
         ${python:Depends},
Recommends: python-ldap,
Description: cloud-ready application catalog - Python 2.x server code
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 2.x server code.

Package: murano-common
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         debconf,
         python-murano (= ${source:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Recommends: python-ldap,
Description: cloud-ready application catalog - common files
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains common files to all Murano servers.

Package: murano-api
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         debconf,
         murano-common (= ${source:Version}),
         python-openstackclient,
         ${misc:Depends},
         ${python:Depends},
Description: cloud-ready application catalog - API server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the API server.

Package: murano-engine
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         debconf,
         murano-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: cloud-ready application catalog - Engine server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Engine server.

Package: murano-cfapi
Architecture: all
Depends: adduser,
         murano-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: cloud-ready application catalog - Cloud Foundry broker
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Cloud Foundry Service Broker API. For more info,
 see https://docs.cloudfoundry.org/services/api.html.

Package: murano-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: cloud-ready application catalog - doc
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)


LAST_CHANGE=$(shell dpkg-parsechangelog  | grep Date: | cut -d' ' -f2)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e && for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		DISCOVER_DIRECTORY=$(CURDIR)/murano/tests/unit PYTHONPATH=$(CURDIR) PYTHON=python$$i DISCOVER_DIRECTORY=murano/tests/unit testr-python$$PYMAJOR run --subunit --parallel 'tests\.unit\.(?!(.*SysLogHandlersTestCase.*|.*packages\.hot_package\.test_hot_package\.TestHotPackage\.test_heat_files_generated.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/murano-doc/usr/share/doc/murano-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-common.postinst

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing

	# PBR misses some files, let's force them in
	cp -rf murano/* $(CURDIR)/debian/python-murano/usr/lib/python2.7/dist-packages/murano
	rm $(CURDIR)/debian/python-murano/usr/lib/python2.7/dist-packages/murano/tests/functional/engine/io.murano.apps.test.ApacheHttpServerCustom/LICENSE
	rm $(CURDIR)/debian/python-murano/usr/lib/python2.7/dist-packages/murano/tests/functional/engine/io.murano.apps.test.Lighttpd/LICENSE
	rm $(CURDIR)/debian/python-murano/usr/lib/python2.7/dist-packages/murano/tests/functional/engine/io.murano.apps.test.UpdateExecutor/LICENSE

	# Get the main config file to use decent defaults.
	mkdir -p $(CURDIR)/debian/murano-common/usr/share/murano-common
	oslo-config-generator --output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf \
		--wrap-width 140 \
		--namespace keystone_authtoken \
		--namespace murano \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.service

	sed -i 's/^[ \t#]*auth_protocol[ \t]*=[ \t].*/auth_protocol = http/' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
	sed -i 's|^[# \t]*notification_driver[ \t]*=.*|notification_driver=messagingv2|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
	sed -i 's|#connection=<None>|connection=sqlite:///var/lib/murano/muranodb|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf

	oslo-config-generator --output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/murano-cfapi.conf \
		--wrap-width 140 \
		--namespace keystone_authtoken \
		--namespace murano.cfapi \
		--namespace oslo.db \
		--namespace oslo.log

	# Install other configuration files in a more "normal" way
	mkdir -p $(CURDIR)/debian/murano-common/etc/murano
	cp $(CURDIR)/etc/murano/logging.conf.sample $(CURDIR)/debian/murano-common/etc/murano/logging.conf
	cp $(CURDIR)/etc/murano/murano-paste.ini $(CURDIR)/etc/murano/policy.json $(CURDIR)/debian/murano-common/etc/murano

	# Also install alembic_migration folder
	set -e ; for pyvers in $(PYTHONS); do \
		cp -rfv $(CURDIR)/murano/db/migration/alembic_migrations $(CURDIR)/debian/python-murano/usr/lib/python$$pyvers/dist-packages/murano/db/migration/ ; \
	done

	# Zip the murano core-library and push it in the package.
	# Note that this is done in a reproducible way, adjusting timestamps
	# before zipping the files.
	find meta/io.murano -newermt '$(BUILD_DATE)' -print0 | xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
	cd meta/io.murano ; TZ=UTC zip -r ../../debian/murano-common/usr/share/murano-common/io.murano.zip * ; cd ../..

override_dh_clean:
	rm -rf 	build \
	 	debian/murano-common.postinst \
		debian/murano-common.config \
		debian/murano-api.postinst \
		debian/murano-api.config \
		doc/build/man
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean -O--buildsystem=python_distutils

## murano 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 kombu>=3.0.25 # BSD
 psutil<2.0.0,>=1.1.1 # BSD
 six>=1.9.0 # MIT
-netaddr!=0.7.16,>=0.7.12 # BSD
+netaddr!=0.7.16,>=0.7.13 # BSD
 PyYAML>=3.1.0 # MIT
 jsonpatch>=1.1 # BSD
 keystoneauth1>=2.10.0 # Apache-2.0

=== debian/changelog ===
murano (1:3.0.0-6) unstable; urgency=medium

  * Re-incorporate NMU from piotr fixing SQLA depends.
  * Danish translation of the debconf templates (Closes: #849983).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2017 17:46:45 +0200

murano (1:3.0.0-5) unstable; urgency=medium

  * Team upload.
  * Revert net-tools dependency.
  * Bump build dependency on openstack-pkg-tools (Closes: #858707).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:55:59 +0200

murano (1:3.0.0-4) unstable; urgency=medium

  * Team upload.
  * Add missing dependency net-tools (Closes: #858707).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 25 Mar 2017 13:13:14 +0100

murano (1:3.0.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch requirements.txt to drop SQLAlchemy << 1.1 dependency

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 05 Feb 2017 12:46:10 +0100

murano (1:3.0.0-3) unstable; urgency=medium

  * Fix murano-cfapi startup (LP: 1659270):
    - Correctly loads murano-cfapi.conf instead of murano.conf.
    - Package and install murano-cfapi-paste.ini.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Jan 2017 22:16:32 +0100

murano (1:3.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * rm /etc/murano/murano-cfapi.conf on purge (Closes: #842072).
  * Added lsb-base to depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Dec 2016 11:32:17 +0100

murano (1:3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:59:40 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ivan Udovichenko <iudovichenko@mirantis.com>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 53~),
+               openstack-pkg-tools (>= 54~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -35,7 +35,7 @@
                      python-mock (>= 2.0),
                      python-muranoclient (>= 0.8.2),
                      python-mysqldb,
-                     python-netaddr (>= 0.7.2),
+                     python-netaddr (>= 0.7.13),
                      python-neutronclient (>= 1:5.1.0),
                      python-nose,
                      python-os-testr (>= 0.7.0),
@@ -101,7 +101,7 @@
          python-mistralclient (>= 2.0.0),
          python-muranoclient (>= 0.8.2),
          python-mysqldb,
-         python-netaddr (>= 0.7.2),
+         python-netaddr (>= 0.7.13),
          python-neutronclient (>= 1:5.1.0),
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
@@ -175,6 +175,7 @@
          murano-common (= ${source:Version}),
          python-openstackclient,
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Description: cloud-ready application catalog - API server
  Murano Project introduces an application catalog, which allows application
@@ -194,6 +195,7 @@
          debconf,
          murano-common (= ${source:Version}),
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Description: cloud-ready application catalog - Engine server
  Murano Project introduces an application catalog, which allows application
@@ -210,6 +212,7 @@
 Depends: adduser,
          murano-common (= ${source:Version}),
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Description: cloud-ready application catalog - Cloud Foundry broker
  Murano Project introduces an application catalog, which allows application

=== debian/rules ===
--- 
+++ 
@@ -76,6 +76,8 @@
 		--namespace oslo.db \
 		--namespace oslo.log
 
+	cp $(CURDIR)/etc/murano/murano-cfapi-paste.ini $(CURDIR)/debian/murano-common/usr/share/murano-common
+
 	# Install other configuration files in a more "normal" way
 	mkdir -p $(CURDIR)/debian/murano-common/etc/murano
 	cp $(CURDIR)/etc/murano/logging.conf.sample $(CURDIR)/debian/murano-common/etc/murano/logging.conf

## murano 3.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
Babel>=2.3.4 # BSD
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.17.1 # Apache-2.0
alembic>=0.8.10 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
tenacity>=3.2.1 # Apache-2.0
WebOb>=1.6.0 # MIT
kombu<4.0.0,>=3.0.25 # BSD
psutil>=3.0.1 # BSD
six>=1.9.0 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
PyYAML>=3.10.0 # MIT
jsonpatch>=1.1 # BSD
keystoneauth1>=2.18.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
testtools>=1.4.0 # MIT
yaql>=1.1.0 # Apache 2.0 License
debtcollector>=1.2.0 # Apache-2.0

# For paste.util.template used in keystone.common.template
Paste # MIT

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-keystoneclient>=3.8.0 # Apache-2.0
python-heatclient>=1.6.1 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-congressclient<2000,>=1.3.0 # Apache-2.0
python-mistralclient>=2.0.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
semantic-version>=2.3.1 # BSD

=== debian/changelog ===
murano (1:3.2.0-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 13 Mar 2018 12:35:55 +0100

=== debian/control ===
Source: murano
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 dh-systemd,
 openstack-pkg-tools (>= 54~),
 po-debconf,
 python-all,
 python-pbr (>= 1.8),
 python-setuptools,
 python-sphinx,
Build-Depends-Indep:
 alembic (>= 0.8.10),
 git,
 python-babel (>= 2.3.4),
 python-congressclient (>= 1.3.0),
 python-coverage,
 python-debtcollector (>= 1.2.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking,
 python-heatclient (>= 1.6.1),
 python-jsonpatch,
 python-jsonschema,
 python-keystoneauth1 (>= 2.18.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.12.0),
 python-kombu (>= 3.0.25),
 python-migrate (>= 0.9.6),
 python-mistralclient (>= 2.0.0),
 python-mock (>= 2.0),
 python-murano-pkg-check (>= 0.2.0),
 python-muranoclient (>= 0.8.2),
 python-mysqldb,
 python-netaddr (>= 0.7.13),
 python-neutronclient (>= 1:5.1.0),
 python-nose,
 python-openstackdocstheme (>= 1.5.0),
 python-os-testr (>= 0.8.0),
 python-oslo.concurrency (>= 3.8.0),
 python-oslo.config (>= 1:3.14.0),
 python-oslo.context (>= 2.9.0),
 python-oslo.db (>= 4.15.0),
 python-oslo.i18n (>= 2.1.0),
 python-oslo.log (>= 3.11.0),
 python-oslo.messaging (>= 5.14.0),
 python-oslo.middleware (>= 3.0.0),
 python-oslo.policy (>= 1.17.0),
 python-oslo.serialization (>= 2.0.0),
 python-oslo.service (>= 1.10.0),
 python-oslo.utils (>= 3.18.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:1.10.0),
 python-paste,
 python-pastedeploy,
 python-pep8,
 python-psutil,
 python-psycopg2,
 python-pymysql (>= 0.7.6),
 python-requests (>= 2.10.0),
 python-retrying,
 python-routes,
 python-semantic-version,
 python-six (>= 1.9.0),
 python-sphinxcontrib.httpdomain,
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1.17.1),
 python-tenacity (>= 3.2.1),
 python-testresources,
 python-testscenarios,
 python-testtools (>= 1.4.0),
 python-unittest2,
 python-webob,
 python-yaml,
 python-yaql (>= 1.1.0),
 subunit,
 tempest (>= 1:12.0.0),
 testrepository,
 zip,
Standards-Version: 3.9.8
Homepage: https://github.com/openstack/murano
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-murano?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-murano -b debian/newton

Package: murano-api
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 python-openstackclient,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: cloud-ready application catalog - API server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the API server.

Package: murano-cfapi
Architecture: all
Depends:
 adduser,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: cloud-ready application catalog - Cloud Foundry broker
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Cloud Foundry Service Broker API. For more info,
 see https://docs.cloudfoundry.org/services/api.html.

Package: murano-common
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-murano (= ${source:Version}),
 sqlite3,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-ldap,
Description: cloud-ready application catalog - common files
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains common files to all Murano servers.

Package: murano-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cloud-ready application catalog - doc
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the documentation.

Package: murano-engine
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: cloud-ready application catalog - Engine server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Engine server.

Package: python-murano
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-congressclient (>= 1.3.0),
 python-debtcollector (>= 1.2.0),
 python-eventlet (>= 0.18.2),
 python-heatclient (>= 1.6.1),
 python-jsonpatch,
 python-jsonschema,
 python-keystoneauth1 (>= 2.18.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.12.0),
 python-kombu (>= 3.0.25),
 python-mistralclient (>= 2.0.0),
 python-muranoclient (>= 0.8.2),
 python-mysqldb,
 python-netaddr (>= 0.7.13),
 python-neutronclient (>= 1:5.1.0),
 python-oslo.concurrency (>= 3.8.0),
 python-oslo.config (>= 1:3.14.0),
 python-oslo.context (>= 2.9.0),
 python-oslo.db (>= 4.15.0),
 python-oslo.i18n (>= 2.1.0),
 python-oslo.log (>= 3.11.0),
 python-oslo.messaging (>= 5.14.0),
 python-oslo.middleware (>= 3.0.0),
 python-oslo.policy (>= 1.17.0),
 python-oslo.serialization (>= 2.0.0),
 python-oslo.service (>= 1.10.0),
 python-oslo.utils (>= 3.18.0),
 python-paste,
 python-pastedeploy,
 python-pbr (>= 1.8),
 python-psutil,
 python-psycopg2,
 python-pymysql (>= 0.7.6),
 python-requests (>= 2.10.0),
 python-retrying,
 python-routes,
 python-semantic-version,
 python-six (>= 1.9.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1.17.1),
 python-tenacity (>= 3.2.1),
 python-testtools (>= 1.4.0),
 python-webob,
 python-yaml,
 python-yaql (>= 1.1.0),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-ldap,
Description: cloud-ready application catalog - Python 2.x server code
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 2.x server code.

## murano 4.0.0

=== debian/changelog ===
murano (1:4.0.0-3~bpo9+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@stretch-pike.infomaniak.ch>  Thu, 21 Nov 2019 09:55:33 +0000

murano (1:4.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add Russian debconf translation (Closes: #883460)

 -- Ondřej Nový <onovy@debian.org>  Sun, 21 Jan 2018 16:20:12 +0100

murano (1:4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Updated fr.po (Closes: #876310).
  * Removing /etc/murano/murano-cfapi-paste.ini on purge (Closes: #854527).
  * Added missing EPOCH for -mistralclient.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 09:52:25 +0000

murano (1:4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove SQLAlchemy version patch.
  * Ran wrap-and-sort -bast.
  * Updating vcs fields.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * d/rules: Removed things defined in openstack-pkg-tools.
  * Fixed oslo-config-generator namespace list.
  * Also install usr/bin/murano-wsgi-api.
  * Remove dh-systemd build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Oct 2017 23:18:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: murano
 Section: net
-Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ivan Udovichenko <iudovichenko@mirantis.com>,
@@ -9,85 +9,84 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- dh-systemd,
- openstack-pkg-tools (>= 54~),
+ openstack-pkg-tools,
  po-debconf,
  python-all,
- python-pbr (>= 1.8),
+ python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx,
+ python-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
  git,
- python-babel (>= 2.3.4),
- python-congressclient (>= 1.3.0),
+ python-babel,
+ python-castellan (>= 0.7.0),
+ python-congressclient,
  python-coverage,
- python-debtcollector (>= 1.2.0),
- python-eventlet (>= 0.18.2),
- python-fixtures (>= 3.0.0),
+ python-debtcollector,
+ python-eventlet,
+ python-fixtures,
  python-hacking,
  python-heatclient (>= 1.6.1),
  python-jsonpatch,
  python-jsonschema,
- python-keystoneauth1 (>= 2.18.0),
+ python-keystoneauth1 (>= 3.1.0),
  python-keystoneclient (>= 1:3.8.0),
  python-keystonemiddleware (>= 4.12.0),
- python-kombu (>= 3.0.25),
- python-migrate (>= 0.9.6),
- python-mistralclient (>= 2.0.0),
+ python-kombu (>= 4.1.0),
+ python-migrate (>= 0.11.0),
+ python-mistralclient (>= 1:3.1.0),
  python-mock (>= 2.0),
- python-murano-pkg-check (>= 0.2.0),
- python-muranoclient (>= 0.8.2),
+ python-murano-pkg-check,
+ python-muranoclient,
  python-mysqldb,
- python-netaddr (>= 0.7.13),
- python-neutronclient (>= 1:5.1.0),
+ python-netaddr,
+ python-neutronclient (>= 1:6.3.0),
  python-nose,
- python-openstackdocstheme (>= 1.5.0),
+ python-openstackdocstheme (>= 1.16.0),
+ python-os-api-ref (>= 1.0.0),
  python-os-testr (>= 0.8.0),
- python-oslo.concurrency (>= 3.8.0),
- python-oslo.config (>= 1:3.14.0),
- python-oslo.context (>= 2.9.0),
- python-oslo.db (>= 4.15.0),
- python-oslo.i18n (>= 2.1.0),
- python-oslo.log (>= 3.11.0),
- python-oslo.messaging (>= 5.14.0),
- python-oslo.middleware (>= 3.0.0),
- python-oslo.policy (>= 1.17.0),
- python-oslo.serialization (>= 2.0.0),
- python-oslo.service (>= 1.10.0),
- python-oslo.utils (>= 3.18.0),
- python-oslosphinx (>= 4.7.0),
+ python-oslo.concurrency,
+ python-oslo.config (>= 1:4.0.0),
+ python-oslo.context (>= 2.14.0),
+ python-oslo.db (>= 4.24.0),
+ python-oslo.i18n,
+ python-oslo.log (>= 3.22.0),
+ python-oslo.messaging (>= 5.24.2),
+ python-oslo.middleware (>= 3.27.0),
+ python-oslo.policy (>= 1.23.0),
+ python-oslo.serialization,
+ python-oslo.service,
+ python-oslo.utils (>= 3.20.0),
  python-oslotest (>= 1:1.10.0),
  python-paste,
  python-pastedeploy,
  python-pep8,
  python-psutil,
  python-psycopg2,
- python-pymysql (>= 0.7.6),
- python-requests (>= 2.10.0),
- python-retrying,
+ python-pymysql,
+ python-requests (>= 2.14.2),
  python-routes,
  python-semantic-version,
- python-six (>= 1.9.0),
+ python-six,
  python-sphinxcontrib.httpdomain,
- python-sqlalchemy (>= 1.0.10),
- python-stevedore (>= 1.17.1),
- python-tenacity (>= 3.2.1),
+ python-sqlalchemy,
+ python-stevedore (>= 1.20.0),
+ python-tenacity,
  python-testresources,
  python-testscenarios,
- python-testtools (>= 1.4.0),
+ python-testtools,
  python-unittest2,
- python-webob,
+ python-webob (>= 1.7.1),
  python-yaml,
- python-yaql (>= 1.1.0),
+ python-yaql,
  subunit,
  tempest (>= 1:12.0.0),
  testrepository,
  zip,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/services/murano.git
+Vcs-Git: https://anonscm.debian.org/git/openstack/services/murano.git
 Homepage: https://github.com/openstack/murano
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-murano?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-murano -b debian/newton
 
 Package: murano-api
 Architecture: all
@@ -195,52 +194,52 @@
 Section: python
 Depends:
  alembic (>= 0.8.10),
- python-babel (>= 2.3.4),
- python-congressclient (>= 1.3.0),
- python-debtcollector (>= 1.2.0),
- python-eventlet (>= 0.18.2),
+ python-babel,
+ python-castellan (>= 0.7.0),
+ python-congressclient,
+ python-debtcollector,
+ python-eventlet,
  python-heatclient (>= 1.6.1),
  python-jsonpatch,
  python-jsonschema,
- python-keystoneauth1 (>= 2.18.0),
+ python-keystoneauth1 (>= 3.1.0),
  python-keystoneclient (>= 1:3.8.0),
  python-keystonemiddleware (>= 4.12.0),
- python-kombu (>= 3.0.25),
- python-mistralclient (>= 2.0.0),
- python-muranoclient (>= 0.8.2),
+ python-kombu (>= 4.1.0),
+ python-mistralclient (>= 1:3.1.0),
+ python-muranoclient,
  python-mysqldb,
- python-netaddr (>= 0.7.13),
- python-neutronclient (>= 1:5.1.0),
- python-oslo.concurrency (>= 3.8.0),
- python-oslo.config (>= 1:3.14.0),
- python-oslo.context (>= 2.9.0),
- python-oslo.db (>= 4.15.0),
- python-oslo.i18n (>= 2.1.0),
- python-oslo.log (>= 3.11.0),
- python-oslo.messaging (>= 5.14.0),
- python-oslo.middleware (>= 3.0.0),
- python-oslo.policy (>= 1.17.0),
- python-oslo.serialization (>= 2.0.0),
- python-oslo.service (>= 1.10.0),
- python-oslo.utils (>= 3.18.0),
+ python-netaddr,
+ python-neutronclient (>= 1:6.3.0),
+ python-oslo.concurrency,
+ python-oslo.config (>= 1:4.0.0),
+ python-oslo.context (>= 2.14.0),
+ python-oslo.db (>= 4.24.0),
+ python-oslo.i18n,
+ python-oslo.log (>= 3.22.0),
+ python-oslo.messaging (>= 5.24.2),
+ python-oslo.middleware (>= 3.27.0),
+ python-oslo.policy (>= 1.23.0),
+ python-oslo.serialization,
+ python-oslo.service,
+ python-oslo.utils (>= 3.20.0),
  python-paste,
  python-pastedeploy,
- python-pbr (>= 1.8),
+ python-pbr (>= 2.0.0),
  python-psutil,
  python-psycopg2,
- python-pymysql (>= 0.7.6),
- python-requests (>= 2.10.0),
- python-retrying,
+ python-pymysql (>= 0.6.2),
+ python-requests (>= 2.8.1),
  python-routes,
  python-semantic-version,
- python-six (>= 1.9.0),
- python-sqlalchemy (>= 1.0.10),
- python-stevedore (>= 1.17.1),
- python-tenacity (>= 3.2.1),
- python-testtools (>= 1.4.0),
- python-webob,
+ python-six,
+ python-sqlalchemy,
+ python-stevedore (>= 1.20.0),
+ python-tenacity,
+ python-testtools,
+ python-webob (>= 1.7.1),
  python-yaml,
- python-yaql (>= 1.1.0),
+ python-yaql,
  ${misc:Depends},
  ${python:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,10 @@
 #!/usr/bin/make -f
-
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
 
 LAST_CHANGE=$(shell dpkg-parsechangelog  | grep Date: | cut -d' ' -f2)
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 include /usr/share/openstack-pkg-tools/pkgos.make
-export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd
@@ -63,8 +58,8 @@
 		--namespace oslo.messaging \
 		--namespace oslo.middleware.cors \
 		--namespace oslo.policy \
-		--namespace oslo.service.service
-
+		--namespace oslo.service.service \
+		--namespace castellan.config
 	sed -i 's/^[ \t#]*auth_protocol[ \t]*=[ \t].*/auth_protocol = http/' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
 	sed -i 's|^[# \t]*notification_driver[ \t]*=.*|notification_driver=messagingv2|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
 	sed -i 's|#connection=<None>|connection=sqlite:///var/lib/murano/muranodb|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
@@ -81,7 +76,8 @@
 	# Install other configuration files in a more "normal" way
 	mkdir -p $(CURDIR)/debian/murano-common/etc/murano
 	cp $(CURDIR)/etc/murano/logging.conf.sample $(CURDIR)/debian/murano-common/etc/murano/logging.conf
-	cp $(CURDIR)/etc/murano/murano-paste.ini $(CURDIR)/etc/murano/policy.json $(CURDIR)/debian/murano-common/etc/murano
+	oslopolicy-sample-generator --namespace murano --output-file $(CURDIR)/debian/murano-common/etc/murano/policy.json
+	cp $(CURDIR)/etc/murano/murano-paste.ini $(CURDIR)/debian/murano-common/etc/murano
 
 	# Also install alembic_migration folder
 	set -e ; for pyvers in $(PYTHONS); do \
